#!/bin/bash
# Simple "getting started" example using DPBuddy CLI
# Update dpbuddy.conf and then run it using this command:
# ./deploy -env=your_environment
# e.g.
# ./deploy -env=test

set -e

# Copy xslts to /xslt directory on DataPower
dpbuddy copy -dir "./services" -includes "**/*.xslt" -toDir "/xslt" -flatten "$@"
# wsdl/xsd files go to services/wsdl, flush XML Manager cache when we're done
dpbuddy copy -dir "./services" -includes "**/*.wsdl **/*.xsd"  -toDir "/services/wsdl" -flatten -flushCache "$@"
dpbuddy import -file dpconfigs/services.xcfg -resolveVars -save -assertObjectsUp -assertPorts "\${wsProxyPort}, \${xmlFirewallPort}" "$@"
